#
# spec file for package pf_ring (Version 2.6.32)
#
#
# norootforbuild
#
%define relid	5.5.2
%define driverver 8.0.35
%define svnver  1

%if %{svnver} == 1
%define pkgversion %{relid}-svn
%else
%define pkgversion %{relid}
%endif

Name:		e1000
BuildRequires:	kernel-source kernel-syms module-init-tools
Summary:	PF_RING enabled e1000 driver
Version:	%{driverver}
Release:	%{relid}.3.1
Group:		System/Kernel
License:	GPL v2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source:		PF_RING-%{pkgversion}.tar.bz2
Source1:	preamble
Source100:	%{name}.changes
Autoreqprov:	on
%suse_kernel_module_package -p %_sourcedir/preamble kdump um ec2

%description
This package contains a kernel module for pf_ring.

%package KMP
Summary:	PF_RING enabled ixbe driver
Group:	System/Kernel

%description KMP
This package contains a kernel module for e1000. 

%prep
%setup -q -n PF_RING-%{pkgversion}

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
		M=$PWD/obj/$flavor/drivers/PF_RING_aware/intel/e1000/e1000-%{driverver}/src
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
if [ $flavor != debug ] ; then
        find . -iname "*.ko" -exec strip --strip-debug {} \;
fi
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
		M=$PWD/obj/$flavor/drivers/PF_RING_aware/intel/e1000/e1000-%{driverver}/src
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan  2 2013 cs@linux-administrator.com
- update to svn(5883) release 5.5.2
* Mon Dec 17 2012 cs@linux-administrator.com
- update to release 5.5.1
* Wed Oct  3 2012 cs@linux-administrator.com
- update to release 5.4.5
* Mon Sep 12 2011 cs@linux-administrator.com
- update to release 5.0.0
* Wed Aug 31 2011 cs@linux-administrator.com
- update to release 4.7.2
* Sun Jul 24 2011 cs@linux-administrator.com
- update to release 4.7.1
* Mon Nov 29 2010 cs@linux-administrator.com
- update to svn release 4421
* Sat Nov  6 2010 cs@linux-administrator.com
- update to svn release 4395.
* Wed Nov  3 2010 cs@linux-administrator.com
- initial build
